%define upstream_name    Dist-Zilla-Plugin-Authority
%define upstream_version 1.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Add the $AUTHORITY variable and metadata to your distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::FileFinderUser) >= 4.102.345
BuildRequires: perl(Dist::Zilla::Role::FileMunger) >= 4.102.345
BuildRequires: perl(Dist::Zilla::Role::MetaProvider) >= 4.102.345
BuildRequires: perl(Dist::Zilla::Role::PPI) >= 4.300.1
BuildRequires: perl(Dist::Zilla::Util)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose) >= 1.30.0
BuildRequires: perl(Moose::Util::TypeConstraints) >= 1.10.0
BuildRequires: perl(PPI) >= 1.206.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin adds the authority data to your distribution. It adds the data
to your modules and metadata. Normally it looks for the PAUSE author id in
your the Dist::Zilla manpage configuration. If you want to override it,
please use the 'authority' attribute.

	# In your dist.ini:
	[Authority]

This code will be added to any package declarations in your perl files:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.9.0-6.mga9
+ Revision: 1817125
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.9.0-5.mga8
+ Revision: 1494100
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.9.0-4.mga7
+ Revision: 1267292
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.9.0-3.mga6
+ Revision: 1025819
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.9.0-2.mga6
+ Revision: 966033
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 sander85 <sander85> 1.9.0-1.mga6
+ Revision: 840041
- update to 1.009

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-5.mga5
+ Revision: 747924
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6.0-3.mga4
+ Revision: 510911
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.6.0-2.mga3
+ Revision: 366039
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 04 2012 jquelin <jquelin> 1.6.0-1.mga2
+ Revision: 190289
- update to 1.006

* Tue Apr 19 2011 jquelin <jquelin> 1.5.0-1.mga1
+ Revision: 88503
- update to 1.005

* Sat Feb 26 2011 jquelin <jquelin> 1.4.0-1.mga1
+ Revision: 60619
- imported package perl-Dist-Zilla-Plugin-Authority


* Sat Feb 26 2011 cpan2dist 1.004-1mga
- initial mageia release, generated with cpan2dist
